Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1410197 - When switching between two remote servers, LO freezes hard
Summary: When switching between two remote servers, LO freezes hard
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libcmis
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Tardon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-04 18:18 UTC by Matěj Cepl
Modified: 2018-04-11 11:09 UTC (History)
6 users (show)

Fixed In Version: libcmis-0.5.1-5.fc25 libcmis-0.5.1-5.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-03 03:55:08 UTC
Type: Bug


Attachments (Terms of Use)

Description Matěj Cepl 2017-01-04 18:18:12 UTC
Created attachment 1237253 [details]
backtrace in the moment LO is frozen

Description of problem:
When switching between two remote servers, LO freezes hard. 

Version-Release number of selected component (if applicable):
libreoffice-core-5.2.3.3-11.fc25.x86_64

How reproducible:
2 out of 2 attempts

Steps to Reproduce:
1. File / Open Remote File
2. In the dialog, switch "Service" from one account to another
3.

Actual results:
LO freezes. Even after an hour or so, it does not even changes the listbox

Expected results:
It should either switch to other account (preferable), or if anything is wrong, it should tell me.

Additional info:

Comment 2 David Tardon 2017-01-30 20:08:51 UTC
I think I can reproduce this in a simpler way:

1. Try to add a service of type Google Drive that uses 2FA, but enter a wrong PIN, so the addition fails.
2. Try to add the same service again.

Comment 3 David Tardon 2017-02-10 14:42:41 UTC
I think this is really a libcurl bug (what I see is: the orig. URL is redirected, the new one returns 401, but is then assigned again for another try in http_auth_act -> an infinite loop). But I can easily avoid the problem by limiting the number of redirections, which is a good thing to do anyway...

Comment 4 Fedora Update System 2017-02-27 20:31:42 UTC
libcmis-0.5.1-5.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-79404fc570

Comment 5 Fedora Update System 2017-02-27 20:32:23 UTC
libcmis-0.5.1-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7e3c76c92d

Comment 6 Fedora Update System 2017-03-01 02:51:25 UTC
libcmis-0.5.1-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7e3c76c92d

Comment 7 Fedora Update System 2017-03-01 02:53:49 UTC
libcmis-0.5.1-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-79404fc570

Comment 8 Fedora Update System 2017-03-03 03:55:08 UTC
libcmis-0.5.1-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-03-13 23:50:21 UTC
libcmis-0.5.1-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.